<?php
namespace App\Services\Github\Mod\FreeNode;

use App\Services\Github\Mod\Base;
//use App\Services\TomTool\Http;

class B extends Base {
    
    public $aShip; // 必须，注入
    
    public function Get($aArticle)
    {
        
        if (!$this->todayUpd()) {
            return false;
        }
        
        $aArticleFreenode = $this->getArticleFreenode();
        
$sContent = "

# 「".date("m月d日")."」每日更新免费节点，SSR/V2ray/Clash/Shadowrocket免费节点订阅链接。

".date("Y年m月d日")."，".$aArticleFreenode['title_sub']."

## 性价比机场推荐：[".$this->aShip["name"]."](https://".$this->aShip["www"].")

* 价格低 - 目前七折优惠，折后低至8元。

* 速度快 - 晚高峰看youtube高清不卡顿。

* 稳定 - 海外团队稳定运营第3年。

* 无限试用 - 注册免费试用3天，签到无限试用。

".$this->aShip['youhui_str']."

点击进入[".$this->aShip["name"]."机场官网](https://".$this->aShip["www"].")。

## 免费节点订阅链接

v2ray订阅链接：

https://".$aArticle["fn_www"]."/feed/v2ray-".date('Ymd').".txt 

clash订阅链接：

https://".$aArticle["fn_www"]."/feed/clash-".date('Ymd').".yaml

## 温馨提示

本站提供的都是免费且公益的节点，稳定性与长时间连接速率无法与收费版的高速机场节点相提并论，不能奢望太多。

注意你自己的网络环境（本地连接当中的DNS，手动配置一下：114.114.114.114，8.8.8.8或是其它公共的DNS。）

如果某个网址无法代理访问，可切换到全局代理模式，一般可解决。

";
        
        return $sContent;
        
    }
    
    public function B($aArticle)
    {
        if (!$this->todayUpd()) {
            return false;
        }
        
        $aArticleFreenode = $this->getArticleFreenode();
        
$sContent = "

# clash节点、免费clash节点、clash订阅链接、clash免费节点、clash科学上网、clash翻墙、clash for windows、clash教程 每日更新  更新时间 ".date('Y-m-d H:i:s')."

".date("Y年m月d日").$aArticleFreenode['title_sub']."

## clash使用教程：

<a href='https://clash01.com/' target='_blank'>clash科学上网：clash for windows 详细教程</a>
        
## [".$this->aShip["name"]."](https://".$this->aShip["www"].") —  性价比机场最佳之选，折后低至8元。

- 全球众多节点，8K不卡顿。
- 解锁奈飞、迪士尼、TikTok 、ChatGPT。
- 流量不虚标，所有节点都是1倍率。
- 不限登陆设备数，不设置每日封顶流量。
- 按流量付费、包月等多种套餐可选，价格便宜。

网站地址：[".$this->aShip["name"]."](https://".$this->aShip["www"].")

".$this->aShip['youhui_str']."

## 免费节点订阅链接

v2ray订阅链接：

https://".$aArticle["fn_www"]."/feed/v2ray-".date('Ymd').".txt 

clash订阅链接：

https://".$aArticle["fn_www"]."/feed/clash-".date('Ymd').".yaml

";
        return $sContent;
        
    }
    
    
}
